"""Top-level package for NetBox AWX Plugin."""

__author__ = """Anders Harrisson"""
__email__ = "anders.harrisson@gmail.com"
__version__ = "0.2.2"


from extras.plugins import PluginConfig


class AWXConfig(PluginConfig):
    name = "netbox_awx_plugin"
    verbose_name = "NetBox AWX Plugin"
    description = "NetBox plugin for AWX integration."
    version = __version__  # Ensure the version is tied to the correct variable
    author = __author__
    author_email = __email__
    base_url = "netbox_awx_plugin"

    def ready(self):
        super().ready()

        from . import signals


config = AWXConfig
